%define mit_ver	3.2-pre7

Summary:	Module utilities
Name:		modutils
Version:	2.4.27
Release:	1
License:	GPL
Group:		Utilities/System
Source0:	http://www.kernel.org/pub/linux/utils/kernel/modutils/v2.4/%{name}-%{version}.tar.bz2
Source1:	http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-%{mit_ver}.tar.bz2
Patch0:		module-init-tools-3.2-pre7-no-docbook-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable pieces
are called modules, and can include device drivers and filesystems among
other things. This package includes program to load and unload programs
both automatically and manually.

%files
  %defattr(0444,root,root)
  %doc COPYING README CREDITS TODO ChangeLog NEWS example/kallsyms.c include/kallsyms.h
  %doc %{_mandir}/man?/*

  %defattr(0510,root,admin)
  %{_root_sbindir}/genksyms
  %{_root_sbindir}/kallsyms
  %{_root_sbindir}/kallsyms.static
  %{_root_sbindir}/kernelversion
  %{_root_sbindir}/ksyms
  %{_root_sbindir}/ksyms.static
  %{_root_sbindir}/modinfo
  %{_root_sbindir}/modinfo.old

  %defattr(0500,root,root)
  %{_root_sbindir}/depmod
  %{_root_sbindir}/depmod.old
  %{_root_sbindir}/generate-modprobe.conf
  %{_root_sbindir}/insmod
  %{_root_sbindir}/insmod_ksymoops_clean
  %{_root_sbindir}/insmod.old
  %{_root_sbindir}/insmod.static
  %{_root_sbindir}/insmod.static.old
  %{_root_sbindir}/lsmod
  %{_root_sbindir}/lsmod.old
  %{_root_sbindir}/lsmod.static
  %{_root_sbindir}/modprobe
  %{_root_sbindir}/modprobe.old
  %{_root_sbindir}/modprobe.static
  %{_root_sbindir}/rmmod
  %{_root_sbindir}/rmmod.old
  %{_root_sbindir}/rmmod.static

%prep
%setup -q
tar -jxf %{SOURCE1}
%patch0 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-insmod-static \
	--disable-kerneld --exec-prefix=/ --mandir=%{_mandir}
  make %{?_smp_mflags} dep all

  cd module-init-tools-%{mit_ver}
  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,2,5,8}

  make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT \
	mandir=$RPM_BUILD_ROOT/%{_mandir}

  #
  # Move old module tools out of the way for..
  #
  SRCDIR=$RPM_BUILD_ROOT/%{_root_sbindir}
  for i in insmod insmod.static depmod modinfo; do
    mv $SRCDIR/$i $SRCDIR/$i.old
  done

  for i in rmmod modprobe lsmod; do
    rm $SRCDIR/$i
    ln -sf insmod.old $SRCDIR/$i.old
  done

  #
  # ... the new ones!
  #
  cd module-init-tools-%{mit_ver}
  for i in depmod insmod insmod.static lsmod modinfo modprobe rmmod generate-modprobe.conf; do
    install $i $SRCDIR
  done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.27, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
